Definir PHP 5.5 como la versión pretederminada de PHP

12 de Febrero, 2014 @ 14:35 — 0 comentarios

Hoy por hoy, 12 de Febrero del 2014, en nuestro planes de alojamiento, de forma predeterminada, los scripts con extensión “.php” usan PHP 5.3. Este comportamiento se puede personalizar.

Para hacer que los scripts con extensión “.php” sean ejecutados por PHP 5.5, no tenéis más que añadir la siguiente línea en un archivo “.htaccess” (si, con un punto por delante):

AddHandler php5.5-script .php

El archivo .htaccess lo podéis poner en la raíz de vuestro sitio web ( directorio public_html ) si queréis que este cambio sea efectivo en toda la web. Si queréis que el cambio sea efectivo únicamente en un directorio concreto, debéis poner el archivo .htaccess en el directorio en cuestión.

Tener en cuenta que es habitual que ciertas aplicaciones ubiquen un .htaccess en vuestro sitio web, por lo que puede que ya tengáis el archivo en cuestión. En estos casos, no debéis crear uno nuevo sino editar el ya existente, añadiendo la citada línea al inicio del archivo.